Rails.application.routes.draw do
  namespace :panel do
    namespace :location do
      namespace :back_end do 
      	match 'location_categories/list' => "location_categories#list"
        match "locations/get_locations" => "locations#get_locations"
        match "locations/get_categorywise_locations" => "locations#get_categorywise_locations"
        match "locations/get_location_categories" => "locations#get_location_categories"
	    resources :location_categories
        match "locations/get_locations" => "locations#get_locations"
         match "locations/get_categories" => "locations#get_categories"

        resources :locations
      end
      namespace :front_end do
        resources :locations
      end
      namespace :widget do
        match "location_widget" => "locations#location_widget"
      end
    end
  end
end
